= nn_close(3compat)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nn_close - close socket (compatible API)

== SYNOPSIS

[source,c]
----
#include <nanomsg/nn.h>

int nn_close(int sock);
----

== DESCRIPTION

The `nn_close()` function closes the socket _sock_.
Any operations that are currently in progress will be terminated, and will
fail with error `EBADF`.

NOTE: This function is provided for API
xref:nng_compat.3compat.adoc[compatibility] with legacy _libnanomsg_.
Consider using the relevant xref:libnng.3.adoc[modern API] instead.

== RETURN VALUES

This function returns zero on success, and -1 on failure.

== ERRORS

[horizontal]
`EBADF`:: The socket is not open.
`ETERM`:: The library is shutting down.

== SEE ALSO

[.text-left]
xref:nn_errno.3compat.adoc[nn_errno(3compat)],
xref:nn_socket.3compat.adoc[nn_socket(3compat)],
xref:nng_compat.3compat.adoc[nng_compat(3compat)],
xref:nng.7.adoc[nng(7)]
